> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merciasquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Guilds List



## OpenAPI

````yaml get /discord/user/guilds
openapi: 3.0.0
info:
  title: discord
  version: 1.0.0
servers:
  - url: https://api.merciasquill.com
security:
  - ApiKeyAuth: []
paths:
  /discord/user/guilds:
    get:
      tags:
        - discord_user_guilds
      summary: public
      parameters:
        - name: force
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: raw_data
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: max_age
          in: query
          description: ''
          required: false
          schema:
            type: string
          example: 10s
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    icon:
                      type: string
                    banner:
                      type: string
                      nullable: true
                    owner:
                      type: boolean
                    permissions:
                      type: string
                    features:
                      type: array
                      items:
                        type: string
              examples:
                merciasquill:
                  value:
                    - id: '1107136103636537424'
                      name: Mercia’s Quill
                      icon: 510322da49d794ae54ecacee4c89e06f
                      banner: null
                      owner: false
                      permissions: '2151613363244609'
                      features:
                        - MEMBER_VERIFICATION_GATE_ENABLED
                        - ROLE_SUBSCRIPTIONS_ENABLED
                        - CREATOR_ACCEPTED_NEW_TERMS
                        - COMMUNITY
                        - CHANNEL_ICON_EMOJIS_GENERATED
                        - AUTO_MODERATION
                        - GUILD_SERVER_GUIDE
                        - NEWS
                        - CREATOR_MONETIZABLE_PROVISIONAL
                        - PREVIEW_ENABLED
                        - SOUNDBOARD
                        - CREATOR_STORE_PAGE
                        - GUILD_ONBOARDING
                        - GUILD_ONBOARDING_HAS_PROMPTS
                        - GUILD_ONBOARDING_EVER_ENABLED
                  summary: merciasquill
                merciasquill_raw:
                  value:
                    - id: '1107136103636537424'
                      name: Mercia’s Quill
                      icon: 510322da49d794ae54ecacee4c89e06f
                      banner: null
                      owner: false
                      permissions: '2151613363244609'
                      features:
                        - GUILD_ONBOARDING_HAS_PROMPTS
                        - SOUNDBOARD
                        - CREATOR_MONETIZABLE_PROVISIONAL
                        - CREATOR_STORE_PAGE
                        - CHANNEL_ICON_EMOJIS_GENERATED
                        - MEMBER_VERIFICATION_GATE_ENABLED
                        - GUILD_SERVER_GUIDE
                        - GUILD_ONBOARDING
                        - GUILD_ONBOARDING_EVER_ENABLED
                        - PREVIEW_ENABLED
                        - COMMUNITY
                        - ROLE_SUBSCRIPTIONS_ENABLED
                        - CREATOR_ACCEPTED_NEW_TERMS
                        - AUTO_MODERATION
                        - NEWS
                  summary: merciasquill_raw
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  platform:
                    type: string
                  reasonId:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      code:
                        type: integer
              example:
                platform: Discord
                reasonId: Unauthorized
                data:
                  message: '401: Unauthorized'
                  code: 0
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.